# dkim_set_signer()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_set_signer(
    	DKIM *dkim,
            const unsigned char *signer);
    );

Specifies the signer to be included in the signature being generated. This will cause the "i=" tag to be added to the signature when it gets generated.

DESCRIPTION

Called When | `dkim_set_signer()` can be called at any time prior to signature generation.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific signing handle, returned by `dkim_sign()`.
signer | A pointer to a null-terminated string which specifies the entity which is responsible for the signature being generated. This will cause an "i=" tag containing this value to be included in the signature generated by this handle. If not defined, no "i=" tag will be added, meaning verifiers should use an implied value.

RETURN VALUES

- DKIM_STAT_OK -- success
- DKIM_STAT_INVALID -- `dkim` referred to a verifying header rather than a signing header
- DKIM_STAT_NORESOURCE -- out of memory

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009-2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.